$(function () {
    $(document).on('click', "p.button-danger", function () {
        $(this).children().removeClass('hidden');
    })

    $('.mobile').on('click', function () {
        $('.mobile-menu').removeClass("max-lg:hidden")
    })

    $('.mobile-closed').on('click', function () {
        $('.mobile-menu').addClass("max-lg:hidden")
    })
})

$(function () {
    $(document).on('click', '.sub-menu', function () {
        if (!$(this).find('ul').hasClass('h-full')) $(this).find('ul').addClass('h-full')
        else $(this).find('ul').removeClass('h-full')
    })

    $("form#searchaccount").on("keyup", function (e) {
        e.preventDefault();
        var url = $(this).attr('action');
        var account = $(this).find("input").val();
        var urlred = $(this).data("redirect");
        var redirectUrl = $("#redirect");
        redirectUrl.html(``);
        $.post({
            url: url,
            method: 'post',
            data: { account: account },
            dataType: 'json',
            success: function (data) {
                if (data.message && data.status == 201) {
                    redirectUrl.html(`<a href="${urlred}/${data.message}" class="text-white bg-sky-500 relative rounded-sm  px-2 py-1 right-0 z-30"><i class="fas fa-arrow-right"></i></a>`);
                }
            }
        })
    })
})
